## comedilib 0.11.0+5

=== debian/changelog ===
comedilib (0.11.0+5-1.3build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 13:57:03 +0000

comedilib (0.11.0+5-1.3build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:05:07 +0200

comedilib (0.11.0+5-1.3build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:54:43 +0200

comedilib (0.11.0+5-1.3build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 21:59:58 +0000

comedilib (0.11.0+5-1.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Delete empty, aliased udev rules.dir (DEP17). (Closes: #1088958)
  * Drop unused Build-Depends: fop. (Closes: #983240)

  [ Michael Biebl ]
  * Clean up unnecessary .dirs files more thoroughly while at it.
  * Fix installation of example conf files after the libcomedi0 →
    libcomedi0t64 rename.

 -- Michael Biebl <biebl@debian.org>  Fri, 06 Dec 2024 18:15:12 +0100

comedilib (0.11.0+5-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Move files to /usr and mitigate loss (DEP17). (Closes: #1058848)
  * Fix installation of lintian overrides.

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Nov 2024 20:03:22 +0100

comedilib (0.11.0+5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061900

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:26:26 +0000

comedilib (0.11.0+5-1) unstable; urgency=medium

  * Add gbp.conf
  * Fix spelling error in copyright
  * Bump standards version to 4.5.0
  * Fix clean target to fix repeated buildpackage
  * Add Build-Depends-Package to symbols file
  * Add VCS fields
  * Fix spelling errors
  * Add missing man1
  * Add two new manpages
  * Add patch 04_fix_ftbs (Closes: #964671)
  * Bump compat level to 13
  * Remove unneeded dependency on dh-autoreconf
  * Change dh_install --list-missing to dh_missing
  * Change install path to usr/lib/{DEB_HOST_MULTIARCH}
  * Bump debhelper dependency to (>= 13~)
  * Remove dependency on autotools-dev
  * Update uscan to handle multiple sources 
    (Thanks to Dmitry Shachnev)
  * Update comedi_calibrate to version 5. Bump upstream version
    to 0.11.0+5
  * Fix patches for comedi_calibrate-5.
  * Make version addition in get-orig-source target

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 25 Jul 2020 10:48:45 +0200
