=== debian/watch ===
version=4
https://comedi.org/download/comedilib-(.*)\.tar\.gz
opts=component=comedi-calibrate https://comedi.org/download/comedi_calibrate-(.*)\.tar\.gz
